'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

exports.getFromLocalUrl = getFromLocalUrl;

var _cache = require('./cachedData/cache');

var _cache2 = _interopRequireDefault(_cache);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Given a URL of an object in the SWAPI, return the data
 * from our local cache.
 */
function getFromLocalUrl(url) {
  var text;
  return _regenerator2.default.async(function getFromLocalUrl$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          text = _cache2.default[url];

          if (text) {
            _context.next = 3;
            break;
          }

          throw new Error('No entry in local cache for ' + url);

        case 3:
          if (process.env.NODE_ENV !== 'test') {
            console.log('Hit the local cache for ' + url + '.');
          }
          return _context.abrupt('return', text);

        case 5:
        case 'end':
          return _context.stop();
      }
    }
  }, null, this);
}
/**
 *  Copyright (c) 2015, Facebook, Inc.
 *  All rights reserved.
 *
 * This source code is licensed under the license found in the
 * LICENSE-examples file in the root directory of this source tree.
 */