'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

exports.getFromRemoteUrl = getFromRemoteUrl;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Copyright (c) 2015, Facebook, Inc.
 *  All rights reserved.
 *
 * This source code is licensed under the license found in the
 * LICENSE-examples file in the root directory of this source tree.
 */

/*global Parse:false*/

/**
 * Given a URL of an object in the SWAPI, return the data
 * from the server.
 *
 * This switches what abstraction it uses to fetch between isomorphic-fetch
 * and the Parse HTTP library so it can be used either locally or in cloud code.
 */
function getFromRemoteUrl(url) {
  var text;
  return _regenerator2.default.async(function getFromRemoteUrl$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.prev = 0;
          text = null;

          if (!(Parse.Cloud.httpRequest !== undefined)) {
            _context.next = 8;
            break;
          }

          _context.next = 5;
          return _regenerator2.default.awrap(getTextFromParse(url));

        case 5:
          text = _context.sent;
          _context.next = 11;
          break;

        case 8:
          _context.next = 10;
          return _regenerator2.default.awrap(getTextFromFetch(url));

        case 10:
          text = _context.sent;

        case 11:
          console.log('Hit the SWAPI for ' + url + '.');
          return _context.abrupt('return', text);

        case 15:
          _context.prev = 15;
          _context.t0 = _context['catch'](0);

          console.error('Error: Hit the SWAPI for ' + url + ' and got ' + _context.t0);
          throw _context.t0;

        case 19:
        case 'end':
          return _context.stop();
      }
    }
  }, null, this, [[0, 15]]);
}

function getTextFromParse(url) {
  var response;
  return _regenerator2.default.async(function getTextFromParse$(_context2) {
    while (1) {
      switch (_context2.prev = _context2.next) {
        case 0:
          _context2.next = 2;
          return _regenerator2.default.awrap(Parse.Cloud.httpRequest({ url: url }));

        case 2:
          response = _context2.sent;
          return _context2.abrupt('return', response.text);

        case 4:
        case 'end':
          return _context2.stop();
      }
    }
  }, null, this);
}

function getTextFromFetch(url) {
  var fetch, response, text;
  return _regenerator2.default.async(function getTextFromFetch$(_context3) {
    while (1) {
      switch (_context3.prev = _context3.next) {
        case 0:
          fetch = require('isomorphic-fetch');
          _context3.next = 3;
          return _regenerator2.default.awrap(fetch(url));

        case 3:
          response = _context3.sent;
          _context3.next = 6;
          return _regenerator2.default.awrap(response.text());

        case 6:
          text = _context3.sent;
          return _context3.abrupt('return', text);

        case 8:
        case 'end':
          return _context3.stop();
      }
    }
  }, null, this);
}